# -*- coding: utf-8 -*-
u"""
Набор степов работы с рабочим столом.
"""
from behave import step

from winobject import Desktop


@step(u'Пуск -> {elements}')
def step_menu_start(context, elements):
    """
    Выбор элемета в меню Пуск
    :param elements: строка с указанием пути до нужного элемента меню,
    элементы пути раздеделы знаком ->
    (прим. Поурочное планирование -> Учебные планы -> Базисные учебные планы)
    """
    dp = Desktop(context.browser)
    dp.select_start_menu_item(elements, context)


@step(u'в виджетах нажать выбрать учреждение')
def step_select_unit(context):
    dp = Desktop(context.browser)
    dp.select_school()


@step(u'в виджетах нажать сбросить учреждение')
def step_reset_unit(context):
    dp = Desktop(context.browser)
    dp.reset_school()


@step(u'в виджетах нажать выбрать период')
def step_select_period(context):
    dp = Desktop(context.browser)
    dp.select_period()


@step(u'на рабочем столе есть иконка "{icon_name}"')
def step_find_icon_on_desktop(context, icon_name):
    dp = Desktop(context.browser)
    assert dp.is_icon_exists(icon_name)


@step(u'на рабочем столе кликнуть на иконку "{icon_name}"')
def step_click_desktop_item(context, icon_name):
    dp = Desktop(context.browser)
    dp.click_by_icon(icon_name)
